<?php
/**
 * Header items
 *
 * Hook into the header to add theme logo/blog title and secondary header area
 *
 * @package      responsive_mobile
 * @license      license.txt
 * @copyright    2014 CyberChimps Inc
 * @since        0.0.1
 *
 * Please do not edit this file. This file is part of the responsive_mobile Framework and all modifications
 * should be made in a child theme.
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Adds header logo or site name to header
 */
function responsive_mobile_header_branding() {
	if ( get_header_image() ) : ?>
		<div id="logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" itemprop="url" title="<?php echo esc_attr( get_bloginfo( 'title' ) ) ?>">
				<img src="<?php header_image(); ?>"  alt="<?php echo esc_attr( get_bloginfo( 'title' ) ) ?>" itemprop="image">
			</a>
		</div>
	<?php else : ?>
		<div id="site-header-text">
			<?php if ( 'blank' != get_theme_mod( 'header_textcolor' ) ) : ?>
				<div class="site-name" itemprop="headline">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" itemprop="url"><?php bloginfo( 'name' ); ?></a>
				</div>
				<div class="site-description" itemprop="description"><?php bloginfo( 'description' ); ?></div>
			<?php endif; // End header text check. ?>
		</div>
	<?php endif; // End header image check.
}
add_action( 'responsive_mobile_header_one', 'responsive_mobile_header_branding' );

/** 
 * Adds sidebar-top to header
 */
function responsive_mobile_sidebar_top() {
	get_sidebar( 'top' );
}
add_action( 'responsive_mobile_header_two', 'responsive_mobile_sidebar_top' );
